## ros-noetic-moveit-ros-planning 1.1.11

=== moveit_cpp/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_cpp)

add_library(${MOVEIT_LIB_NAME}
  src/moveit_cpp.cpp
  src/planning_component.cpp
  )
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME}
  moveit_planning_scene_monitor
  moveit_planning_pipeline
  moveit_trajectory_execution_manager
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES})
add_dependencies(${MOVEIT_LIB_NAME} ${catkin_EXPORTED_TARGETS})

if (CATKIN_ENABLE_TESTING)
  find_package(moveit_resources_panda_moveit_config REQUIRED)
  find_package(rostest REQUIRED)

  add_rostest_gtest(moveit_cpp_test test/moveit_cpp_test.test test/moveit_cpp_test.cpp)
  target_link_libraries(moveit_cpp_test moveit_cpp ${catkin_LIBRARIES})
endif()

install(TARGETS ${MOVEIT_LIB_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== planning_request_adapter_plugins/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_default_planning_request_adapter_plugins)

set(SOURCE_FILES
  src/empty.cpp
  src/fix_start_state_bounds.cpp
  src/fix_start_state_collision.cpp
  src/fix_start_state_path_constraints.cpp
  src/fix_workspace_bounds.cpp
  src/add_time_parameterization.cpp
  src/add_ruckig_traj_smoothing.cpp
  src/add_iterative_spline_parameterization.cpp
  src/add_time_optimal_parameterization.cpp
  src/resolve_constraint_frames.cpp
  src/limit_max_cartesian_link_speed.cpp
  )

add_library(${MOVEIT_LIB_NAME} ${SOURCE_FILES})
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
#ruckig requires C++17
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES CXX_STANDARD 17)
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(moveit_list_request_adapter_plugins src/list.cpp)
target_link_libraries(moveit_list_request_adapter_plugins ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(TARGETS moveit_list_request_adapter_plugins
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== planning_scene_monitor/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_planning_scene_monitor)

add_library(${MOVEIT_LIB_NAME}
  src/planning_scene_monitor.cpp
  src/current_state_monitor.cpp
  src/trajectory_monitor.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME}
  moveit_robot_model_loader
  moveit_collision_plugin_loader
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES})
add_dependencies(${MOVEIT_LIB_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS}) # don't build until necessary msgs are available

add_executable(demo_scene demos/demo_scene.cpp)
target_link_libraries(demo_scene ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== trajectory_execution_manager/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_trajectory_execution_manager)

add_library(${MOVEIT_LIB_NAME} src/trajectory_execution_manager.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME} moveit_planning_scene_monitor moveit_robot_model_loader ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(${MOVEIT_LIB_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS}) # don't build until necessary msgs are available

install(TARGETS ${MOVEIT_LIB_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
    find_package(moveit_resources_panda_moveit_config REQUIRED)
    find_package(rostest REQUIRED)

    add_rostest_gtest(test_execution_manager
                      test/test_execution_manager.test
                      test/test_execution_manager.cpp)
    target_link_libraries(test_execution_manager moveit_cpp ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES})


## This needs further cleanup before it can run
# add_library(test_controller_manager_plugin test/test_moveit_controller_manager_plugin.cpp)
# set_target_properties(test_controller_manager_plugin PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
# target_link_libraries(test_controller_manager_plugin ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

endif(CATKIN_ENABLE_TESTING)

=== debian/changelog ===
ros-noetic-moveit-ros-planning (1.1.11-1buster) buster; urgency=high

  * Backport ruckig trajectory_processing plugin (#2902 <https://github.com/ros-planning/moveit/issues/2902>)
  * Allow planning with multiple pipelines in parallel with moveit_cpp (#3244 <https://github.com/ros-planning/moveit/issues/3244>)
  * Merge PR #3262 <https://github.com/ros-planning/moveit/issues/3262>: Short-circuit planning adapters
    
      * Early return from failing planning adapters, namely FixStartStateCollision and FixStartStatePathConstraint
      * Propagate the error code via MotionPlanResponse::error_code_
      * Add string translations for all error codes
    
  * Cleanup translation of MoveItErrorCode to string
    
      * Move default code to moveit_core/utils
      * Override defaults in existing getActionResultString()
      * Provide translations for all error codes defined in moveit_msgs
    
  * Short-circuit planning request adapters
  * Contributors: Robert Haschke, Simon Schmeisser

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.10-1buster) buster; urgency=high

  * Limit Cartesian speed for link(s) (#2856 <https://github.com/ros-planning/moveit/issues/2856>)
  * trajectory execution manager: reactivate tests (#3177 <https://github.com/ros-planning/moveit/issues/3177>)
  * Clean up TrajectoryExecutionManager API (#3178 <https://github.com/ros-planning/moveit/issues/3178>)
  * MoveItCpp: Allow multiple pipelines (#3131 <https://github.com/ros-planning/moveit/issues/3131>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Jochen Sprickerhof, Michael Görner, Robert Haschke, cambel, v4hn

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.9-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.8-1buster) buster; urgency=high

  * Fix deprecation warning in moveit_cpp (#3019 <https://github.com/ros-planning/moveit/issues/3019>)
  * Contributors: Jeroen

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.7-1buster) buster; urgency=high

  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * ``MoveitCpp``: Added ability to set path constraints for ``PlanningComponent`` (#2959 <https://github.com/ros-planning/moveit/issues/2959>)
  * ``RDFLoader``: clear buffer before reading content (#2963 <https://github.com/ros-planning/moveit/issues/2963>)
  * Reset markers on ``display_contacts`` topic for a new planning attempt (#2944 <https://github.com/ros-planning/moveit/issues/2944>)
  * Contributors: Colin Kohler, Jafar Abdi, Jochen Sprickerhof, Rick Staa, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.6-1buster) buster; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Split ``CollisionPluginLoader`` (#2834 <https://github.com/ros-planning/moveit/issues/2834>)To avoid circular dependencies, but enable reuse of the ``CollisionPluginLoader``, the non-ROS part was moved into ``moveit_core/moveit_collision_detection.so``
    and the ROS part (reading the plugin name from the parameter server) into ``moveit_ros_planning/moveit_collision_plugin_loader.so`` (as before).
  * Introduce a reference frame for collision objects (#2037 <https://github.com/ros-planning/moveit/issues/2037>)
  * Fix RDFLoader: uninitialized member (#2806 <https://github.com/ros-planning/moveit/issues/2806>)
  * Add missing dependencies to generated dynamic_reconfigure headers (#2772 <https://github.com/ros-planning/moveit/issues/2772>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * PSM: Read padding parameters from correct namespace (#2706 <https://github.com/ros-planning/moveit/issues/2706>)
  * Load ``max_safe_path_cost`` into namespace ``sense_for_plan`` (#2703 <https://github.com/ros-planning/moveit/issues/2703>)
  * Fix order of member initialization (#2687 <https://github.com/ros-planning/moveit/issues/2687>)
  * Move ``OccMapTree`` to ``moveit_core/collision_detection`` (#2684 <https://github.com/ros-planning/moveit/issues/2684>)
  * Contributors: Felix von Drigalski, Martin Günther, Mathias Lüdtke, Michael Görner, Robert Haschke, Simon Schmeisser, Tyler Weaver, pvanlaar, werner291

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.5-1buster) buster; urgency=high

  * Revert "Lock the octomap/octree while collision checking (#2683 <https://github.com/ros-planning/moveit/issues/2683>)
  * Unify and simplify CSM::haveCompleteState overloads (#2663 <https://github.com/ros-planning/moveit/issues/2663>)
  * Contributors: Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 22 May 2021 22:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.4-1buster) buster; urgency=high

  * Lock the octomap/octree while collision checking (#2596 <https://github.com/ros-planning/moveit/issues/2596>)
  * Use private NodeHandle instead of child for PlanningPipeline topics (#2652 <https://github.com/ros-planning/moveit/issues/2652>)
  * Print an error if the planning pipelines are empty (#2639 <https://github.com/ros-planning/moveit/issues/2639>)
  * Simplify logic in PSM (#2632 <https://github.com/ros-planning/moveit/issues/2632>)
  * Contributors: Henning Kayser, Luc Bettaieb, Michael Görner, Simon Schmeisser, Rojas Rafael

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 11 May 2021 22:00:00 -0000



## ros-noetic-moveit-ros-planning 1.1.13

=== moveit_cpp/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,6 @@
 add_dependencies(${MOVEIT_LIB_NAME} ${catkin_EXPORTED_TARGETS})
 
 if (CATKIN_ENABLE_TESTING)
-  find_package(moveit_resources_panda_moveit_config REQUIRED)
   find_package(rostest REQUIRED)
 
   add_rostest_gtest(moveit_cpp_test test/moveit_cpp_test.test test/moveit_cpp_test.cpp)

=== planning_scene_monitor/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,13 @@
 add_executable(demo_scene demos/demo_scene.cpp)
 target_link_libraries(demo_scene ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
 
+if (CATKIN_ENABLE_TESTING)
+  find_package(rostest REQUIRED)
+
+  add_rostest_gtest(current_state_monitor_test test/current_state_monitor.test test/current_state_monitor_test.cpp)
+  target_link_libraries(current_state_monitor_test ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES})
+endif()
+
 install(TARGETS ${MOVEIT_LIB_NAME}
         LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
         ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}

=== debian/changelog ===
ros-noetic-moveit-ros-planning (1.1.13-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 27 Jul 2023 22:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.12-2focal) focal; urgency=high

  * Add CSM tests (#3395 <https://github.com/ros-planning/moveit/issues/3395>)
  * CSM: do not jump back in time (#3393 <https://github.com/ros-planning/moveit/issues/3393>)
  * Fix MoveItCpp issues (#3369 <https://github.com/ros-planning/moveit/issues/3369>)
  * Skip executing zero-duration trajectories (#3362 <https://github.com/ros-planning/moveit/issues/3362>)
  * Drop unnecessary cmake dependency on moveit_resources (#3343 <https://github.com/ros-planning/moveit/issues/3343>)
  * Fix (some) doxygen warnings (#3315 <https://github.com/ros-planning/moveit/issues/3315>)
  * Switch master build to C++17 (#3313 <https://github.com/ros-planning/moveit/issues/3313>)
  * Drop lib/ prefix from plugin paths (#3305 <https://github.com/ros-planning/moveit/issues/3305>)
  * Contributors: Jochen Sprickerhof, Michael Görner, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 12 May 2023 22:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.11-2focal) focal; urgency=high

  * Backport ruckig trajectory_processing plugin (#2902 <https://github.com/ros-planning/moveit/issues/2902>)
  * Allow planning with multiple pipelines in parallel with moveit_cpp (#3244 <https://github.com/ros-planning/moveit/issues/3244>)
  * Merge PR #3262 <https://github.com/ros-planning/moveit/issues/3262>: Short-circuit planning adapters
    
      * Early return from failing planning adapters, namely FixStartStateCollision and FixStartStatePathConstraint
      * Propagate the error code via MotionPlanResponse::error_code_
      * Add string translations for all error codes
    
  * Cleanup translation of MoveItErrorCode to string
    
      * Move default code to moveit_core/utils
      * Override defaults in existing getActionResultString()
      * Provide translations for all error codes defined in moveit_msgs
    
  * Short-circuit planning request adapters
  * Contributors: Robert Haschke, Simon Schmeisser

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.10-2focal) focal; urgency=high

  * Limit Cartesian speed for link(s) (#2856 <https://github.com/ros-planning/moveit/issues/2856>)
  * trajectory execution manager: reactivate tests (#3177 <https://github.com/ros-planning/moveit/issues/3177>)
  * Clean up TrajectoryExecutionManager API (#3178 <https://github.com/ros-planning/moveit/issues/3178>)
  * MoveItCpp: Allow multiple pipelines (#3131 <https://github.com/ros-planning/moveit/issues/3131>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Jochen Sprickerhof, Michael Görner, Robert Haschke, cambel, v4hn

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.9-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.8-2focal) focal; urgency=high

  * Fix deprecation warning in moveit_cpp (#3019 <https://github.com/ros-planning/moveit/issues/3019>)
  * Contributors: Jeroen

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.7-2focal) focal; urgency=high

  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * ``MoveitCpp``: Added ability to set path constraints for ``PlanningComponent`` (#2959 <https://github.com/ros-planning/moveit/issues/2959>)
  * ``RDFLoader``: clear buffer before reading content (#2963 <https://github.com/ros-planning/moveit/issues/2963>)
  * Reset markers on ``display_contacts`` topic for a new planning attempt (#2944 <https://github.com/ros-planning/moveit/issues/2944>)
  * Contributors: Colin Kohler, Jafar Abdi, Jochen Sprickerhof, Rick Staa, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.6-2focal) focal; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Split ``CollisionPluginLoader`` (#2834 <https://github.com/ros-planning/moveit/issues/2834>)To avoid circular dependencies, but enable reuse of the ``CollisionPluginLoader``, the non-ROS part was moved into ``moveit_core/moveit_collision_detection.so``
    and the ROS part (reading the plugin name from the parameter server) into ``moveit_ros_planning/moveit_collision_plugin_loader.so`` (as before).
  * Introduce a reference frame for collision objects (#2037 <https://github.com/ros-planning/moveit/issues/2037>)
  * Fix RDFLoader: uninitialized member (#2806 <https://github.com/ros-planning/moveit/issues/2806>)
  * Add missing dependencies to generated dynamic_reconfigure headers (#2772 <https://github.com/ros-planning/moveit/issues/2772>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * PSM: Read padding parameters from correct namespace (#2706 <https://github.com/ros-planning/moveit/issues/2706>)
  * Load ``max_safe_path_cost`` into namespace ``sense_for_plan`` (#2703 <https://github.com/ros-planning/moveit/issues/2703>)
  * Fix order of member initialization (#2687 <https://github.com/ros-planning/moveit/issues/2687>)
  * Move ``OccMapTree`` to ``moveit_core/collision_detection`` (#2684 <https://github.com/ros-planning/moveit/issues/2684>)
  * Contributors: Felix von Drigalski, Martin Günther, Mathias Lüdtke, Michael Görner, Robert Haschke, Simon Schmeisser, Tyler Weaver, pvanlaar, werner291

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 05 Nov 2021 23:00:00 -0000



=== debian/control ===
Source: ros-noetic-moveit-ros-planning
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-noetic-actionlib, ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-message-filters, ros-noetic-moveit-core, ros-noetic-moveit-msgs, ros-noetic-moveit-resources-panda-moveit-config <!nocheck>, ros-noetic-moveit-ros-occupancy-map-monitor, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rostest <!nocheck>, ros-noetic-srdfdom, ros-noetic-tf2, ros-noetic-tf2-eigen, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-msgs, ros-noetic-tf2-ros, ros-noetic-urdf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-noetic-moveit-ros-planning
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-dynamic-reconfigure, ros-noetic-message-filters, ros-noetic-moveit-core, ros-noetic-moveit-msgs, ros-noetic-moveit-ros-occupancy-map-monitor, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-srdfdom, ros-noetic-tf2, ros-noetic-tf2-eigen, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-msgs, ros-noetic-tf2-ros, ros-noetic-urdf
Conflicts: ros-noetic-moveit-ros-planning-interface (<< 1.1.2)
Replaces: ros-noetic-moveit-ros-planning-interface (<< 1.1.2)
Description: Planning components of MoveIt that use ROS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-moveit-ros-planning//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
